Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Part Status Moisture Sensitivity Level (MSL) Connector Type Max Operating Temperature Min Operating Temperature Color Gender Length RoHS Status Lead Free Contact Plating Voltage - Rated Radiation Hardening Package / Case REACH SVHC Impedance Operating Temperature Voltage - Rated DC Lead Length Connector Type A Connector Type B Insulation Material Feature Polarity Style Cable Length Wire/Cable Type Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
CC174RP-15 CC174RP-15 L-Com 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6364-25 73-6364-25 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6352-6 73-6352-6 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6362-3 73-6362-3 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0086-100 415-0086-100 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6362-6 73-6362-6 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6364-10 73-6364-10 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6354-6 73-6354-6 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6363-25 73-6363-25 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
SPC20671 SPC20671 Multicomp 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7474#0100 02Y7474#0100 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7475#0100 02Y7475#0100 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7470#0500 02Y7470#0500 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
095-902-462-012 095-902-462-012 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks 2017 Active Not Applicable Gray Female to Cable 12.00 304.80mm RoHS Compliant 50Ohms -20°C~75°C Shielded SMA to Cable 18GHz SMA Female Jack Cable (Round) Micro Coaxial
WCA200RNPRSP-010 WCA200RNPRSP-010 Honeywell Sensing and Productivity Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 6 Weeks 2010 Limitless™ WGLA Obsolete 1 (Unlimited) 85°C -40°C Black Female to Female 120.0 3.0m 10.0' RoHS Compliant SMA -25°C~85°C SMA IP67 - Dust Tight, Waterproof RP-SMA to RP-N-Type 3.048m Coaxial RP-N Male Plug, Female Socket RP-SMA Male Plug, Female Socket Male Male
1024-60 1024-60 E-Z-Hook 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 2 Weeks 2000 Active Not Applicable Black Female to Female 60.0 1.5m 5.0' RoHS Compliant Lead Free BNC BNC BNC to BNC BNC Female Jack BNC Female Jack RG-58C
CARSMA-MMCX-50 CARSMA-MMCX-50 Multi-Tech Systems Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 2015 Obsolete Not Applicable Gray Male to Male 6.000 152.40mm RoHS Compliant SMA RP-SMA to MMCX RP-SMA Female Jack, Male Pin MMCX Male Plug, Right Angle
1025-12 1025-12 E-Z-Hook 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 2 Weeks Active Not Applicable Black Female to Male 12.00 304.80mm Non-RoHS Compliant BNC, Plug BNC BNC to BNC BNC Male Plug BNC Female Jack RG-58C
6246R(RG6U) 6246R(RG6U) Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
6244TF 6244TF Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
PM9091/001 PM9091/001 Fluke Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Cable Active 1 (Unlimited) BNC, Cable Black Male to Male 59.1 1.5m 4.9' RoHS Compliant 600V 600V 1.5m BNC, Plug BNC, Plug Shielded BNC to BNC 1.5m Coaxial BNC Male Plug (3) BNC Male Plug (3)
W.FL-2LPG-062N2D-A(35) W.FL-2LPG-062N2D-A(35) Hirose 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
A-1PA-113-100B2 A-1PA-113-100B2 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Cable Bulk 2003 Active 1 (Unlimited) Black Female to Female 3.937 100.00mm RoHS Compliant Lead Free Gold No No SVHC 50Ohm -40°C~90°C Coaxial, Plug, Socket Coaxial, Plug, Socket FEP Shielded Normal U.FL (UMCC), AMC to U.FL (UMCC), AMC 100mm Coaxial 6GHz U.FL (UMCC), AMC Plug, Female Socket, Right Angle U.FL (UMCC), AMC Plug, Female Socket, Right Angle 1.13mm OD Coaxial Cable Male
RFC-1321 RFC-1321 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1843 RFC-1843 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1326 RFC-1326 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1413 RFC-1413 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1812 RFC-1812 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1324 RFC-1324 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1525 RFC-1525 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support